//////////////////////////////////////////////////////////////////////////////
// suseCrystalconfig.h
// -------------------
// Config module for suseCrystal window decoration
// -------------------
// Copyright (c) 2003 David Johnson <david@usermode.org>
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//////////////////////////////////////////////////////////////////////////////

#ifndef suseCrystalCONFIG_H
#define suseCrystalCONFIG_H

#include <kconfig.h>
#include <klocale.h>
#include <kglobal.h>
#include <qbuttongroup.h>
#include <qgroupbox.h>
#include <qradiobutton.h>
#include <qwhatsthis.h>
#include <qobject.h>

class KConfig;
class ConfigDialog;

class suseCrystalConfig : public QObject
{
    Q_OBJECT
public:
    suseCrystalConfig(KConfig* config, QWidget* parent);
    ~suseCrystalConfig();
    
signals:
    void changed();

public slots:
    void load(KConfig*);
    void save(KConfig*);
    void defaults();

protected slots:
    void selectionChanged(int);

private:
    KConfig *config_;
    ConfigDialog *dialog_;
};

#endif // suseCrystalCONFIG_H
